Subject: Re: bug#31723: 26.1; next-logical-line different behaviour when global-display-line-numbers-mode is on

From: Maxim Kim <[email-masked]>
Date: Wed, 6 Jun 2018 18:44:54 +0300

Thx, not sure I will be able to test it.

I am on windows and had never compiled emacs myself.

I will try to do it :)

2018-06-06 18:30 GMT+03:00 Eli Zaretskii <[email-masked]>:

> > From: Maxim Kim <[email-masked]>
> > Date: Tue, 5 Jun 2018 17:51:06 +0300
> >
> > 1. open emacs with `runemacs.exe -Q`
> >
> > 2. add some text to the scratch buffer:
> >
> > ;; This buffer is for text that is not saved, and for Lisp evaluation.
> > ;; To create a file, visit it with C-x C-f and enter text in its buffer.
> >
> > Hello WORLD, this is barebone EMACS here.
> > And next-logical-line function behaves strange when
> > global-display-line-numbers-mode is activated.
> >
> > 3. activate global-display-line-numbers-mode
> >
> > 4. put your cursor on the blank line above ‘Hello WORLD...' row:
> >
> > ;; To create a file, visit it with C-x C-f and enter text in its buffer.
> > <<CURSOR ON COL 0>>
> > Hello WORLD, this is barebone EMACS here.
> >
> > 5. press C-n to go-to ‘Hello WORLD’ row, cursor is on ‘H' letter
> >
> > 6. invoke ‘next-logical-line' interactive command with M-x
> > next-logical-line, your cursor will be on the second word of the
> > next row (marked as <<n>>):
> >
> > Hello WORLD, this is barebone EMACS here.
> > And <<n>>ext-logical-line function behaves strange when
> >
> > Without global-display-line-numbers-mode cursor moves to the same column
> > on the next row (of course if there are enough columns for that).
>
> Thanks, I think I fixed this now on the emacs-26 branch, please test.
>